<?php
// $Id: theme-settings.php,v 1.1.2.3 2009/10/24 00:53:08 mtecknology Exp $

  function phptemplate_settings($saved_settings) {

    // Set default variables
    $defaults = array(
      'wrapper_width' => 960,
      'width_type' => '0',
      'custom_footer_right' => t('Theme created by the !link team.', array('!link' => l(t('Ubuntu Drupal'), 'https://wiki.ubuntu.com/UbuntuDrupal'))),
    );

    // Merge the saved variables and their default values
    $settings = array_merge($defaults, $saved_settings);

    // Create the form widgets using Forms API
    $form['page'] = array(
      '#type' => 'fieldset',
      '#title' => t('Page Options'),
      '#collapsible' => TRUE,
      '#collapsed' => FALSE,
      '#tree' => FALSE,
    );
    $form['page']['wrapper_width'] = array(
      '#type' => 'textfield',
      '#title' => t('Page Width (default=960)'),
      '#default_value' => $settings['wrapper_width'],
    );
    $form['page']['width_type'] = array(
      '#type' => 'radios',
      '#title' => t('Width Type'),
      '#options' => array(
        '0' => t('px'),
        '1' => t('%'),
      ),
      '#description' => t('Size the page using either pixels or percent.'),
      '#default_value' => $settings['width_type'],
    );
    $form['page']['custom_footer_right'] = array(
      '#type' => 'textarea',
      '#title' => t('Footer Text (Right)'),
      '#default_value' => $settings['custom_footer_right'],
    );

    // Return the additional form widgets
    return $form;
  }
?>
